<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Mac::Whitelist Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d7/d98/classThread_1_1Mac_1_1Whitelist.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d3/dd2/classThread_1_1Mac_1_1Whitelist-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Mac::Whitelist Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../df/d5c/group__core-mac.html">MAC</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements whitelist filtering on IEEE 802.15.4 frames.  
 <a href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d6/d79/mac__whitelist_8hpp_source.html">src/core/mac/mac_whitelist.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a28dc3740a25c602f3588ea82f2729fe0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28dc3740a25c602f3588ea82f2729fe0"></a>enum &#160;</td><td class="memItemRight" valign="bottom">{ <b>kMaxEntries</b> = 32
 }</td></tr>
<tr class="separator:a28dc3740a25c602f3588ea82f2729fe0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a969b1e22dab8e217ecbd31ce089ed3df"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a969b1e22dab8e217ecbd31ce089ed3df"></a>
typedef <a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html">otMacWhitelistEntry</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Entry</b></td></tr>
<tr class="separator:a969b1e22dab8e217ecbd31ce089ed3df"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a028c6ec6f785f7d5da8fdb37edea3785"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a028c6ec6f785f7d5da8fdb37edea3785"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#a028c6ec6f785f7d5da8fdb37edea3785">Whitelist</a> (void)</td></tr>
<tr class="memdesc:a028c6ec6f785f7d5da8fdb37edea3785"><td class="mdescLeft">&#160;</td><td class="mdescRight">This constructor initializes the whitelist filter. <br /></td></tr>
<tr class="separator:a028c6ec6f785f7d5da8fdb37edea3785"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3a0063cf432298b2270239ac270eb9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af3a0063cf432298b2270239ac270eb9b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#af3a0063cf432298b2270239ac270eb9b">Enable</a> (void)</td></tr>
<tr class="memdesc:af3a0063cf432298b2270239ac270eb9b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method enables the whitelist filter. <br /></td></tr>
<tr class="separator:af3a0063cf432298b2270239ac270eb9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a470a9414327ecefa78a71615ddc30fef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a470a9414327ecefa78a71615ddc30fef"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#a470a9414327ecefa78a71615ddc30fef">Disable</a> (void)</td></tr>
<tr class="memdesc:a470a9414327ecefa78a71615ddc30fef"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method disables the whitelist filter. <br /></td></tr>
<tr class="separator:a470a9414327ecefa78a71615ddc30fef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca8b8971afb8bd239077c11d711de0af"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#aca8b8971afb8bd239077c11d711de0af">IsEnabled</a> (void) const </td></tr>
<tr class="memdesc:aca8b8971afb8bd239077c11d711de0af"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the whitelist filter is enabled.  <a href="#aca8b8971afb8bd239077c11d711de0af">More...</a><br /></td></tr>
<tr class="separator:aca8b8971afb8bd239077c11d711de0af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade726998e3ab3f6fb74b7c48fc551abf"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#ade726998e3ab3f6fb74b7c48fc551abf">GetMaxEntries</a> (void) const </td></tr>
<tr class="memdesc:ade726998e3ab3f6fb74b7c48fc551abf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the maximum number of whitelist entries.  <a href="#ade726998e3ab3f6fb74b7c48fc551abf">More...</a><br /></td></tr>
<tr class="separator:ade726998e3ab3f6fb74b7c48fc551abf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c3c94b6316483d1a5a18e28632c6746"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#a6c3c94b6316483d1a5a18e28632c6746">GetEntry</a> (uint8_t aIndex, <a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html">Entry</a> &amp;aEntry) const </td></tr>
<tr class="memdesc:a6c3c94b6316483d1a5a18e28632c6746"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method gets a whitelist entry.  <a href="#a6c3c94b6316483d1a5a18e28632c6746">More...</a><br /></td></tr>
<tr class="separator:a6c3c94b6316483d1a5a18e28632c6746"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f392b61c209adb971a1dd174185e1f5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html">Entry</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#a4f392b61c209adb971a1dd174185e1f5">Add</a> (const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">ExtAddress</a> &amp;aAddress)</td></tr>
<tr class="memdesc:a4f392b61c209adb971a1dd174185e1f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method adds an Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a> to the whitelist filter.  <a href="#a4f392b61c209adb971a1dd174185e1f5">More...</a><br /></td></tr>
<tr class="separator:a4f392b61c209adb971a1dd174185e1f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a738aa086a2ed98aa27b57e2ab92904aa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#a738aa086a2ed98aa27b57e2ab92904aa">Remove</a> (const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">ExtAddress</a> &amp;aAddress)</td></tr>
<tr class="memdesc:a738aa086a2ed98aa27b57e2ab92904aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method removes an Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a> to the whitelist filter.  <a href="#a738aa086a2ed98aa27b57e2ab92904aa">More...</a><br /></td></tr>
<tr class="separator:a738aa086a2ed98aa27b57e2ab92904aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95503128cd8b0f8e8b16d11529aba6db"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95503128cd8b0f8e8b16d11529aba6db"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#a95503128cd8b0f8e8b16d11529aba6db">Clear</a> (void)</td></tr>
<tr class="memdesc:a95503128cd8b0f8e8b16d11529aba6db"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method removes all entries from the whitelist filter. <br /></td></tr>
<tr class="separator:a95503128cd8b0f8e8b16d11529aba6db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad79d158eb35d6e10284cbc678335a994"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html">Entry</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#ad79d158eb35d6e10284cbc678335a994">Find</a> (const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">ExtAddress</a> &amp;aAddress)</td></tr>
<tr class="memdesc:ad79d158eb35d6e10284cbc678335a994"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method finds a whitelist entry.  <a href="#ad79d158eb35d6e10284cbc678335a994">More...</a><br /></td></tr>
<tr class="separator:ad79d158eb35d6e10284cbc678335a994"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a066c75306e898fdeccd346cdd5e8e4cf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#a066c75306e898fdeccd346cdd5e8e4cf">ClearFixedRssi</a> (<a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html">Entry</a> &amp;aEntry)</td></tr>
<tr class="memdesc:a066c75306e898fdeccd346cdd5e8e4cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method clears the fixed RSSI value and uses the measured value provided by the radio instead.  <a href="#a066c75306e898fdeccd346cdd5e8e4cf">More...</a><br /></td></tr>
<tr class="separator:a066c75306e898fdeccd346cdd5e8e4cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f97f7200b5a28e4a192fcd14a31332e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#a8f97f7200b5a28e4a192fcd14a31332e">GetFixedRssi</a> (<a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html">Entry</a> &amp;aEntry, int8_t &amp;aRssi) const </td></tr>
<tr class="memdesc:a8f97f7200b5a28e4a192fcd14a31332e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the fixed RSSI is set.  <a href="#a8f97f7200b5a28e4a192fcd14a31332e">More...</a><br /></td></tr>
<tr class="separator:a8f97f7200b5a28e4a192fcd14a31332e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec8fb6e5055a3a3923535c0bd07b29d4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#aec8fb6e5055a3a3923535c0bd07b29d4">SetFixedRssi</a> (<a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html">Entry</a> &amp;aEntry, int8_t aRssi)</td></tr>
<tr class="memdesc:aec8fb6e5055a3a3923535c0bd07b29d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets a fixed RSSI value for all received messages matching <code>aEntry</code>.  <a href="#aec8fb6e5055a3a3923535c0bd07b29d4">More...</a><br /></td></tr>
<tr class="separator:aec8fb6e5055a3a3923535c0bd07b29d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements whitelist filtering on IEEE 802.15.4 frames. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a4f392b61c209adb971a1dd174185e1f5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html">Whitelist::Entry</a> * Thread::Mac::Whitelist::Add </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">ExtAddress</a> &amp;&#160;</td>
          <td class="paramname"><em>aAddress</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method adds an Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a> to the whitelist filter. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aAddress</td><td>A reference to the Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the whitelist entry or NULL if there are no available entries. </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d98/classThread_1_1Mac_1_1Whitelist_a4f392b61c209adb971a1dd174185e1f5_cgraph.png" border="0" usemap="#d7/d98/classThread_1_1Mac_1_1Whitelist_a4f392b61c209adb971a1dd174185e1f5_cgraph" alt=""/></div>
<map name="d7/d98/classThread_1_1Mac_1_1Whitelist_a4f392b61c209adb971a1dd174185e1f5_cgraph" id="d7/d98/classThread_1_1Mac_1_1Whitelist_a4f392b61c209adb971a1dd174185e1f5_cgraph">
<area shape="rect" id="node2" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#ad79d158eb35d6e10284cbc678335a994" title="This method finds a whitelist entry. " alt="" coords="238,5,392,44"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d98/classThread_1_1Mac_1_1Whitelist_a4f392b61c209adb971a1dd174185e1f5_icgraph.png" border="0" usemap="#d7/d98/classThread_1_1Mac_1_1Whitelist_a4f392b61c209adb971a1dd174185e1f5_icgraph" alt=""/></div>
<map name="d7/d98/classThread_1_1Mac_1_1Whitelist_a4f392b61c209adb971a1dd174185e1f5_icgraph" id="d7/d98/classThread_1_1Mac_1_1Whitelist_a4f392b61c209adb971a1dd174185e1f5_icgraph">
<area shape="rect" id="node2" href="../../db/d57/group__config-test.html#ga14add098936191d76a7888d02e5fabbc" title="Add an IEEE 802.15.4 Extended Address to the MAC whitelist. " alt="" coords="251,19,383,44"/>
<area shape="rect" id="node6" href="../../db/d57/group__config-test.html#gaa8ee92264eb6f92e910808256052df88" title="Add an IEEE 802.15.4 Extended Address to the MAC whitelist and fix the RSSI value. " alt="" coords="238,68,396,93"/>
<area shape="rect" id="node3" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="462,5,618,44"/>
<area shape="rect" id="node4" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="444,68,636,107"/>
<area shape="rect" id="node5" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="684,68,879,107"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a066c75306e898fdeccd346cdd5e8e4cf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Mac::Whitelist::ClearFixedRssi </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html">Entry</a> &amp;&#160;</td>
          <td class="paramname"><em>aEntry</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method clears the fixed RSSI value and uses the measured value provided by the radio instead. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aEntry</td><td>A reference to the whitelist entry. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad79d158eb35d6e10284cbc678335a994"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html">Whitelist::Entry</a> * Thread::Mac::Whitelist::Find </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">ExtAddress</a> &amp;&#160;</td>
          <td class="paramname"><em>aAddress</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method finds a whitelist entry. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aAddress</td><td>A reference to the Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the whitelist entry or NULL if the entry could not be found. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d98/classThread_1_1Mac_1_1Whitelist_ad79d158eb35d6e10284cbc678335a994_icgraph.png" border="0" usemap="#d7/d98/classThread_1_1Mac_1_1Whitelist_ad79d158eb35d6e10284cbc678335a994_icgraph" alt=""/></div>
<map name="d7/d98/classThread_1_1Mac_1_1Whitelist_ad79d158eb35d6e10284cbc678335a994_icgraph" id="d7/d98/classThread_1_1Mac_1_1Whitelist_ad79d158eb35d6e10284cbc678335a994_icgraph">
<area shape="rect" id="node2" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#a1b58865279aa421b1da0a665a6260e1d" title="This method is called to handle receive events. " alt="" coords="208,5,392,44"/>
<area shape="rect" id="node4" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#a4f392b61c209adb971a1dd174185e1f5" title="This method adds an Extended Address to the whitelist filter. " alt="" coords="207,131,392,156"/>
<area shape="rect" id="node10" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#a738aa086a2ed98aa27b57e2ab92904aa" title="This method removes an Extended Address to the whitelist filter. " alt="" coords="223,68,377,107"/>
<area shape="rect" id="node3" href="../../d7/d9c/group__radio-operation.html#ga75836c10d52472c0dfca98f490c4a5f7" title="The radio driver calls this method to notify OpenThread of a received packet. " alt="" coords="440,12,611,37"/>
<area shape="rect" id="node5" href="../../db/d57/group__config-test.html#ga14add098936191d76a7888d02e5fabbc" title="Add an IEEE 802.15.4 Extended Address to the MAC whitelist. " alt="" coords="460,173,591,199"/>
<area shape="rect" id="node9" href="../../db/d57/group__config-test.html#gaa8ee92264eb6f92e910808256052df88" title="Add an IEEE 802.15.4 Extended Address to the MAC whitelist and fix the RSSI value. " alt="" coords="447,124,604,149"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="677,87,832,125"/>
<area shape="rect" id="node7" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="659,149,850,188"/>
<area shape="rect" id="node8" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="898,149,1093,188"/>
<area shape="rect" id="node11" href="../../db/d57/group__config-test.html#gab195074b16a074a74b0d026565723ea9" title="Remove an IEEE 802.15.4 Extended Address from the MAC whitelist. " alt="" coords="447,75,604,100"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a6c3c94b6316483d1a5a18e28632c6746"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::Mac::Whitelist::GetEntry </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html">Entry</a> &amp;&#160;</td>
          <td class="paramname"><em>aEntry</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method gets a whitelist entry. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aIndex</td><td>An index into the MAC whitelist table. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">aEntry</td><td>A reference to where the information is placed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully retrieved the MAC whitelist entry. </td></tr>
    <tr><td class="paramname">kThreadError_InvalidArgs</td><td><code>aIndex</code> is out of bounds or <code>aEntry</code> is NULL. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d98/classThread_1_1Mac_1_1Whitelist_a6c3c94b6316483d1a5a18e28632c6746_icgraph.png" border="0" usemap="#d7/d98/classThread_1_1Mac_1_1Whitelist_a6c3c94b6316483d1a5a18e28632c6746_icgraph" alt=""/></div>
<map name="d7/d98/classThread_1_1Mac_1_1Whitelist_a6c3c94b6316483d1a5a18e28632c6746_icgraph" id="d7/d98/classThread_1_1Mac_1_1Whitelist_a6c3c94b6316483d1a5a18e28632c6746_icgraph">
<area shape="rect" id="node2" href="../../db/d57/group__config-test.html#gab18473a3f2e8bcb3492a9a990daa2a63" title="This function gets a MAC whitelist entry. " alt="" coords="207,44,368,69"/>
<area shape="rect" id="node3" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="434,5,590,44"/>
<area shape="rect" id="node4" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="416,68,608,107"/>
<area shape="rect" id="node5" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="656,68,850,107"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a8f97f7200b5a28e4a192fcd14a31332e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::Mac::Whitelist::GetFixedRssi </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html">Entry</a> &amp;&#160;</td>
          <td class="paramname"><em>aEntry</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int8_t &amp;&#160;</td>
          <td class="paramname"><em>aRssi</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method indicates whether or not the fixed RSSI is set. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aEntry</td><td>A reference to the whitelist entry. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">aRssi</td><td>A reference to the RSSI variable.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>A fixed RSSI is set and written to <code>aRssi</code>. </td></tr>
    <tr><td class="paramname">kThreadError_InvalidArg</td><td>A fixed RSSI was not set. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d98/classThread_1_1Mac_1_1Whitelist_a8f97f7200b5a28e4a192fcd14a31332e_icgraph.png" border="0" usemap="#d7/d98/classThread_1_1Mac_1_1Whitelist_a8f97f7200b5a28e4a192fcd14a31332e_icgraph" alt=""/></div>
<map name="d7/d98/classThread_1_1Mac_1_1Whitelist_a8f97f7200b5a28e4a192fcd14a31332e_icgraph" id="d7/d98/classThread_1_1Mac_1_1Whitelist_a8f97f7200b5a28e4a192fcd14a31332e_icgraph">
<area shape="rect" id="node2" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#a1b58865279aa421b1da0a665a6260e1d" title="This method is called to handle receive events. " alt="" coords="207,5,392,44"/>
<area shape="rect" id="node3" href="../../d7/d9c/group__radio-operation.html#ga75836c10d52472c0dfca98f490c4a5f7" title="The radio driver calls this method to notify OpenThread of a received packet. " alt="" coords="440,12,610,37"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ade726998e3ab3f6fb74b7c48fc551abf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Thread::Mac::Whitelist::GetMaxEntries </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method returns the maximum number of whitelist entries. </p>
<dl class="section return"><dt>Returns</dt><dd>The maximum number of whitelist entries. </dd></dl>

</div>
</div>
<a class="anchor" id="aca8b8971afb8bd239077c11d711de0af"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::Mac::Whitelist::IsEnabled </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method indicates whether or not the whitelist filter is enabled. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>If the whitelist filter is enabled. </td></tr>
    <tr><td class="paramname">FALSE</td><td>If the whitelist filter is disabled. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d98/classThread_1_1Mac_1_1Whitelist_aca8b8971afb8bd239077c11d711de0af_icgraph.png" border="0" usemap="#d7/d98/classThread_1_1Mac_1_1Whitelist_aca8b8971afb8bd239077c11d711de0af_icgraph" alt=""/></div>
<map name="d7/d98/classThread_1_1Mac_1_1Whitelist_aca8b8971afb8bd239077c11d711de0af_icgraph" id="d7/d98/classThread_1_1Mac_1_1Whitelist_aca8b8971afb8bd239077c11d711de0af_icgraph">
<area shape="rect" id="node2" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#a1b58865279aa421b1da0a665a6260e1d" title="This method is called to handle receive events. " alt="" coords="207,5,392,44"/>
<area shape="rect" id="node4" href="../../db/d57/group__config-test.html#gac5c65503f3741301ce67d986bf28e9e8" title="This function indicates whether or not the MAC whitelist is enabled. " alt="" coords="216,68,383,93"/>
<area shape="rect" id="node3" href="../../d7/d9c/group__radio-operation.html#ga75836c10d52472c0dfca98f490c4a5f7" title="The radio driver calls this method to notify OpenThread of a received packet. " alt="" coords="450,12,621,37"/>
<area shape="rect" id="node5" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="458,61,613,100"/>
<area shape="rect" id="node6" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="440,124,631,163"/>
<area shape="rect" id="node7" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="679,124,874,163"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a738aa086a2ed98aa27b57e2ab92904aa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Mac::Whitelist::Remove </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">ExtAddress</a> &amp;&#160;</td>
          <td class="paramname"><em>aAddress</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method removes an Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a> to the whitelist filter. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aAddress</td><td>A reference to the Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a>. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d98/classThread_1_1Mac_1_1Whitelist_a738aa086a2ed98aa27b57e2ab92904aa_cgraph.png" border="0" usemap="#d7/d98/classThread_1_1Mac_1_1Whitelist_a738aa086a2ed98aa27b57e2ab92904aa_cgraph" alt=""/></div>
<map name="d7/d98/classThread_1_1Mac_1_1Whitelist_a738aa086a2ed98aa27b57e2ab92904aa_cgraph" id="d7/d98/classThread_1_1Mac_1_1Whitelist_a738aa086a2ed98aa27b57e2ab92904aa_cgraph">
<area shape="rect" id="node2" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html#ad79d158eb35d6e10284cbc678335a994" title="This method finds a whitelist entry. " alt="" coords="207,5,361,44"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d98/classThread_1_1Mac_1_1Whitelist_a738aa086a2ed98aa27b57e2ab92904aa_icgraph.png" border="0" usemap="#d7/d98/classThread_1_1Mac_1_1Whitelist_a738aa086a2ed98aa27b57e2ab92904aa_icgraph" alt=""/></div>
<map name="d7/d98/classThread_1_1Mac_1_1Whitelist_a738aa086a2ed98aa27b57e2ab92904aa_icgraph" id="d7/d98/classThread_1_1Mac_1_1Whitelist_a738aa086a2ed98aa27b57e2ab92904aa_icgraph">
<area shape="rect" id="node2" href="../../db/d57/group__config-test.html#gab195074b16a074a74b0d026565723ea9" title="Remove an IEEE 802.15.4 Extended Address from the MAC whitelist. " alt="" coords="207,44,365,69"/>
<area shape="rect" id="node3" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="431,5,587,44"/>
<area shape="rect" id="node4" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="413,68,605,107"/>
<area shape="rect" id="node5" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="653,68,847,107"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aec8fb6e5055a3a3923535c0bd07b29d4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Mac::Whitelist::SetFixedRssi </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html">Entry</a> &amp;&#160;</td>
          <td class="paramname"><em>aEntry</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int8_t&#160;</td>
          <td class="paramname"><em>aRssi</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method sets a fixed RSSI value for all received messages matching <code>aEntry</code>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aEntry</td><td>A reference to the whitelist entry. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aRssi</td><td>An RSSI value in dBm. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d98/classThread_1_1Mac_1_1Whitelist_aec8fb6e5055a3a3923535c0bd07b29d4_icgraph.png" border="0" usemap="#d7/d98/classThread_1_1Mac_1_1Whitelist_aec8fb6e5055a3a3923535c0bd07b29d4_icgraph" alt=""/></div>
<map name="d7/d98/classThread_1_1Mac_1_1Whitelist_aec8fb6e5055a3a3923535c0bd07b29d4_icgraph" id="d7/d98/classThread_1_1Mac_1_1Whitelist_aec8fb6e5055a3a3923535c0bd07b29d4_icgraph">
<area shape="rect" id="node2" href="../../db/d57/group__config-test.html#gaa8ee92264eb6f92e910808256052df88" title="Add an IEEE 802.15.4 Extended Address to the MAC whitelist and fix the RSSI value. " alt="" coords="207,44,365,69"/>
<area shape="rect" id="node3" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="431,5,587,44"/>
<area shape="rect" id="node4" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="413,68,605,107"/>
<area shape="rect" id="node5" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="653,68,847,107"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/core/mac/<a class="el" href="../../d6/d79/mac__whitelist_8hpp_source.html">mac_whitelist.hpp</a></li>
<li>src/core/mac/<a class="el" href="../../d4/d65/mac__whitelist_8cpp.html">mac_whitelist.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><b>Mac</b></li><li class="navelem"><a class="el" href="../../d7/d98/classThread_1_1Mac_1_1Whitelist.html">Whitelist</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
